(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      9406,        289]
NotebookOptionsPosition[      8468,        253]
NotebookOutlinePosition[      8973,        272]
CellTagsIndexPosition[      8930,        269]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["P\:0159\[IAcute]klad 1", "Title",
 CellChangeTimes->{{3.4909917860985985`*^9, 3.490991790457974*^9}, {
  3.490991845051724*^9, 3.4909918611298485`*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["Vstupn\[IAcute] hodnoty", "Subtitle",
 CellChangeTimes->{{3.490979043582974*^9, 3.4909790480048485`*^9}},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{"soucastky", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"R1", "\[Rule]", 
     SuperscriptBox["10", "3"]}], ",", 
    RowBox[{"c", "\[Rule]", 
     RowBox[{"470", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "9"}]]}]}], ",", " ", 
    RowBox[{"L", "\[Rule]", 
     RowBox[{"2.2", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "6"}]]}]}], ",", " ", 
    RowBox[{"R2", "\[Rule]", 
     RowBox[{"6.8", "*", 
      SuperscriptBox["10", "4"]}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"frekvence", " ", "=", "1000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amplituda", "=", "2.5"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"vstup", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "->", 
    RowBox[{"amplituda", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", "*", "\[Pi]", "*", "frekvence", "*", "t"}], "]"}]}]}], 
   "}"}]}]}], "Input",
 CellChangeTimes->{{3.4909558597860985`*^9, 3.490955979582974*^9}, {
  3.4909560280673485`*^9, 3.4909561185673485`*^9}, {3.490956256457974*^9, 
  3.4909562633173485`*^9}, {3.49103831928125*^9, 3.491038323734375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Popis obvodu", "Subtitle",
 CellChangeTimes->{{3.490979081770474*^9, 3.490979084426724*^9}, 
   3.4909791699110985`*^9, 3.4909792283173485`*^9},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"uzel1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"iR1", "[", "t", "]"}], "+", 
     RowBox[{"iL", "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{"iC", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uzel2", "=", 
   RowBox[{"0", "\[Equal]", 
    RowBox[{
     RowBox[{"iL", "[", "t", "]"}], "+", "0", "+", 
     RowBox[{"iR2", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uzel3", "=", 
   RowBox[{
    RowBox[{"iU", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"iR1", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rezistorR1", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"u3", "[", "t", "]"}], "-", 
     RowBox[{"u1", "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{"R1", "*", 
     RowBox[{"iR1", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kondenzatorC", "=", 
   RowBox[{
    RowBox[{"iC", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"c", "*", 
     RowBox[{
      RowBox[{"u1", "'"}], "[", "t", "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"civkaL", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"u2", "[", "t", "]"}], "-", 
     RowBox[{"u1", "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{"L", "*", 
     RowBox[{
      RowBox[{"iL", "'"}], "[", "t", "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rezistorR2", "=", 
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"R2", "*", 
     RowBox[{"iR2", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zdrojU", "=", 
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"u3", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"poc1", "=", 
   RowBox[{
    RowBox[{"u1", "[", "0", "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"poc2", "=", 
   RowBox[{
    RowBox[{"iL", "[", "0", "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rovnice", "=", 
  RowBox[{"{", 
   RowBox[{
   "uzel1", ",", " ", "uzel2", ",", " ", "uzel3", ",", " ", "rezistorR1", ",",
     " ", "rezistorR2", ",", " ", "kondenzatorC", ",", " ", "civkaL", ",", 
    " ", "zdrojU", ",", " ", "poc1", ",", " ", "poc2"}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.4909551090360985`*^9, 3.4909551991923485`*^9}, {
  3.490955680832974*^9, 3.4909557225673485`*^9}, {3.4909557927548485`*^9, 
  3.4909558096298485`*^9}, {3.49103833009375*^9, 3.491038344734375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:0158e\[SHacek]en\[IAcute]", "Subtitle",
 CellChangeTimes->{{3.4909791543173485`*^9, 3.4909791739735985`*^9}, 
   3.4909798205360985`*^9},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{"rceDosad", " ", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"rovnice", "/.", "soucastky"}], ")"}], "/.", 
   "vstup"}]}], "\[IndentingNewLine]", 
 RowBox[{"nezname", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"u1", "[", "t", "]"}], ",", 
    RowBox[{"u2", "[", "t", "]"}], ",", 
    RowBox[{"u3", "[", "t", "]"}], ",", 
    RowBox[{"iU", "[", "t", "]"}], ",", 
    RowBox[{"iR1", "[", "t", "]"}], ",", 
    RowBox[{"iR2", "[", "t", "]"}], ",", 
    RowBox[{"iL", "[", "t", "]"}], ",", 
    RowBox[{"iC", "[", "t", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"perioda", "=", 
   FractionBox["1", "frekvence"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"5", "*", "perioda"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"reseni", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{"rceDosad", ",", "nezname", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "/.", "reseni"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.490957088239224*^9, 3.4909571027860985`*^9}, {
   3.4909889215673485`*^9, 3.4909889266923485`*^9}, 3.490989017801724*^9, {
   3.490989136989224*^9, 3.4909891404735985`*^9}, {3.4910383533125*^9, 
   3.49103837728125*^9}, {3.49103845428125*^9, 3.49103845528125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
\:0158e\[SHacek]en\[IAcute] pro obd\[EAcute]ln\[IAcute]kov\[YAcute] pr\:016fb\
\:011bh vstupn\[IAcute]ho nap\:011bt\[IAcute]\
\>", "Subtitle",
 CellChangeTimes->{{3.4909891682235985`*^9, 3.490989177614224*^9}, {
  3.491038440609375*^9, 3.49103844871875*^9}},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{"vstup2", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "->", 
    RowBox[{"amplituda", "*", 
     RowBox[{"Tanh", "[", 
      RowBox[{"100", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{"2", "*", "\[Pi]", "*", "frekvence", "*", "t"}], "]"}]}], 
      "]"}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"rceDosad2", " ", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"rovnice", "/.", "soucastky"}], ")"}], "/.", 
   "vstup2"}]}], "\[IndentingNewLine]", 
 RowBox[{"reseni2", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{"rceDosad2", ",", "nezname", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"StartingStepSize", "\[Rule]", 
     SuperscriptBox["10", 
      RowBox[{"-", "9"}]]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "/.", "reseni2"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4909630626298485`*^9, 3.490963122082974*^9}, {
   3.490963187489224*^9, 3.490963205520474*^9}, 3.490963237020474*^9, {
   3.490963292270474*^9, 3.490963292457974*^9}, {3.4909633792235985`*^9, 
   3.490963395457974*^9}, {3.490988973989224*^9, 3.4909889872235985`*^9}, 
   3.4909890365673485`*^9, {3.4909894185360985`*^9, 3.490989493895474*^9}, {
   3.4909895441610985`*^9, 3.490989571457974*^9}, {3.491038387078125*^9, 
   3.491038408859375*^9}, {3.491038459421875*^9, 3.491038504203125*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1272, 698},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 194, 3, 147, "Title"],
Cell[764, 27, 94, 2, 43, "Input"],
Cell[CellGroupData[{
Cell[883, 33, 141, 2, 98, "Subtitle"],
Cell[1027, 37, 1147, 31, 129, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2211, 73, 180, 3, 98, "Subtitle"],
Cell[2394, 78, 2501, 74, 314, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4932, 157, 175, 3, 98, "Subtitle"],
Cell[5110, 162, 1472, 38, 312, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6619, 205, 298, 6, 147, "Subtitle"],
Cell[6920, 213, 1520, 36, 192, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
