(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     10096,        307]
NotebookOptionsPosition[      9042,        267]
NotebookOutlinePosition[      9547,        286]
CellTagsIndexPosition[      9504,        283]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell["P\:0159\[IAcute]klad 2", "Title",
 CellChangeTimes->{{3.4909917860985985`*^9, 3.490991790457974*^9}, {
  3.490991845051724*^9, 3.4909918611298485`*^9}, {3.491036876875*^9, 
  3.491036876984375*^9}},
 Background->RGBColor[1, 0.9, 0.8]],

Cell[BoxData[
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], ";"}]], "Input"],

Cell[CellGroupData[{

Cell["Vstupn\[IAcute] hodnoty", "Subtitle",
 CellChangeTimes->{{3.490979043582974*^9, 3.4909790480048485`*^9}},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{"soucastky", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"R", "\[Rule]", 
     SuperscriptBox["10", "3"]}], ",", 
    RowBox[{"c", "\[Rule]", 
     RowBox[{"56", "*", 
      SuperscriptBox["10", 
       RowBox[{"-", "9"}]]}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"frekvence", " ", "=", "2000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"amplituda", "=", "3.4"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"vstup", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "->", 
    RowBox[{"amplituda", "*", 
     RowBox[{"Sin", "[", 
      RowBox[{"2", "*", "\[Pi]", "*", "frekvence", "*", "t"}], "]"}]}]}], 
   "}"}]}]}], "Input",
 CellChangeTimes->{{3.4909558597860985`*^9, 3.490955979582974*^9}, {
  3.4909560280673485`*^9, 3.4909561185673485`*^9}, {3.490956256457974*^9, 
  3.4909562633173485`*^9}, {3.491036882109375*^9, 3.491036911953125*^9}, {
  3.491037333484375*^9, 3.491037335234375*^9}, {3.491037383296875*^9, 
  3.491037383625*^9}, {3.491037425859375*^9, 3.491037430828125*^9}, {
  3.4910374634375*^9, 3.491037528328125*^9}, {3.491041845625*^9, 
  3.491041850484375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Popis obvodu", "Subtitle",
 CellChangeTimes->{{3.490979081770474*^9, 3.490979084426724*^9}, 
   3.4909791699110985`*^9, 3.4909792283173485`*^9},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"uzel1", "=", 
   RowBox[{
    RowBox[{"iU", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"iR", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"uzel2", "=", 
   RowBox[{
    RowBox[{"iR", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"0", "+", 
     RowBox[{"iC", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rezistorR", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"u1", "[", "t", "]"}], "-", 
     RowBox[{"u2", "[", "t", "]"}]}], "\[Equal]", 
    RowBox[{"R", "*", 
     RowBox[{"iR", "[", "t", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"kondenzatorC", "=", 
   RowBox[{
    RowBox[{"iC", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"c", "*", 
     RowBox[{
      RowBox[{"u2", "'"}], "[", "t", "]"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zdrojU", "=", 
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "\[Equal]", 
    RowBox[{"u1", "[", "t", "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"poc1", "=", 
   RowBox[{
    RowBox[{"u2", "[", "0", "]"}], "\[Equal]", "0"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"rovnice", "=", 
  RowBox[{"{", 
   RowBox[{
   "uzel1", ",", " ", "uzel2", ",", " ", "rezistorR", ",", " ", 
    "kondenzatorC", ",", " ", "zdrojU", ",", " ", "poc1"}], "}"}]}]}], "Input",
 CellChangeTimes->{{3.4909551090360985`*^9, 3.4909551991923485`*^9}, {
  3.490955680832974*^9, 3.4909557225673485`*^9}, {3.4909557927548485`*^9, 
  3.4909558096298485`*^9}, {3.491036972921875*^9, 3.4910370155625*^9}, {
  3.491037060953125*^9, 3.491037064234375*^9}, {3.491041855140625*^9, 
  3.49104186934375*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\:0158e\[SHacek]en\[IAcute]", "Subtitle",
 CellChangeTimes->{{3.4909791543173485`*^9, 3.4909791739735985`*^9}, 
   3.4909798205360985`*^9},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{"rceDosad", " ", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"rovnice", "/.", "soucastky"}], ")"}], "/.", 
   "vstup"}]}], "\[IndentingNewLine]", 
 RowBox[{"nezname", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"u1", "[", "t", "]"}], ",", 
    RowBox[{"u2", "[", "t", "]"}], ",", 
    RowBox[{"iU", "[", "t", "]"}], ",", 
    RowBox[{"iR", "[", "t", "]"}], ",", 
    RowBox[{"iC", "[", "t", "]"}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"perioda", "=", 
   FractionBox["1", "frekvence"]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmax", "=", 
   RowBox[{"3", "*", "perioda"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"reseni", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{"rceDosad", ",", "nezname", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "/.", "reseni"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.490957088239224*^9, 3.4909571027860985`*^9}, {
   3.4909889215673485`*^9, 3.4909889266923485`*^9}, 3.490989017801724*^9, {
   3.490989136989224*^9, 3.4909891404735985`*^9}, {3.4910418753125*^9, 
   3.491041918921875*^9}, {3.49104220090625*^9, 3.491042201328125*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
\:0158e\[SHacek]en\[IAcute] pro obd\[EAcute]ln\[IAcute]kov\[YAcute] pr\:016fb\
\:011bh vstupn\[IAcute]ho nap\:011bt\[IAcute]\
\>", "Subtitle",
 CellChangeTimes->{{3.4909891682235985`*^9, 3.490989177614224*^9}, {
  3.491037759140625*^9, 3.491037762375*^9}},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{"vstup2", "=", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "->", 
    RowBox[{"amplituda", "*", 
     RowBox[{"Tanh", "[", 
      RowBox[{"100", "*", 
       RowBox[{"Sin", "[", 
        RowBox[{"2", "*", "\[Pi]", "*", "frekvence", "*", "t"}], "]"}]}], 
      "]"}]}]}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"rceDosad2", " ", "=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"rovnice", "/.", "soucastky"}], ")"}], "/.", 
   "vstup2"}]}], "\[IndentingNewLine]", 
 RowBox[{"reseni2", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{"rceDosad2", ",", "nezname", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax"}], "}"}], ",", 
    RowBox[{"StartingStepSize", "\[Rule]", 
     SuperscriptBox["10", 
      RowBox[{"-", "9"}]]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "/.", "reseni2"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4909630626298485`*^9, 3.490963122082974*^9}, {
   3.490963187489224*^9, 3.490963205520474*^9}, 3.490963237020474*^9, {
   3.490963292270474*^9, 3.490963292457974*^9}, {3.4909633792235985`*^9, 
   3.490963395457974*^9}, {3.490988973989224*^9, 3.4909889872235985`*^9}, 
   3.4909890365673485`*^9, {3.4909894185360985`*^9, 3.490989493895474*^9}, {
   3.4909895441610985`*^9, 3.490989571457974*^9}, {3.491039097*^9, 
   3.491039098296875*^9}, {3.491041927921875*^9, 3.4910419456875*^9}, {
   3.491042053125*^9, 3.4910420755625*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
\:0158e\[SHacek]en\[IAcute] pro konstantn\[IAcute] vstup - nab\[IAcute]jen\
\[IAcute] kondenz\[AAcute]toru\
\>", "Subtitle",
 CellChangeTimes->{{3.491039135796875*^9, 3.491039153171875*^9}},
 Background->GrayLevel[0.85]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"vstup3", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"u", "[", "t", "]"}], "\[Rule]", "5"}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rceDosad3", " ", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"rovnice", "/.", "soucastky"}], ")"}], "/.", "vstup3"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"\[Tau]", "=", 
  RowBox[{
   RowBox[{"R", "*", "c"}], "/.", "soucastky"}]}], "\[IndentingNewLine]", 
 RowBox[{"tmax3", "=", 
  RowBox[{"6", "*", "\[Tau]"}]}], "\[IndentingNewLine]", 
 RowBox[{"reseni3", "=", 
  RowBox[{"NDSolve", "[", 
   RowBox[{"rceDosad3", ",", "nezname", ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "tmax3"}], "}"}], ",", 
    RowBox[{"StartingStepSize", "\[Rule]", 
     SuperscriptBox["10", 
      RowBox[{"-", "9"}]]}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u2", "[", "t", "]"}], "/.", "reseni3"}], ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", "0", ",", "tmax3"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4910406720625*^9, 3.491040681796875*^9}, 
   3.491041122671875*^9, {3.491041955125*^9, 3.49104197509375*^9}}]
}, Open  ]]
}, Open  ]]
},
WindowSize->{1272, 698},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 240, 4, 147, "Title"],
Cell[810, 28, 94, 2, 43, "Input"],
Cell[CellGroupData[{
Cell[929, 34, 141, 2, 98, "Subtitle"],
Cell[1073, 38, 1150, 28, 129, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2260, 71, 180, 3, 98, "Subtitle"],
Cell[2443, 76, 1661, 47, 206, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4141, 128, 175, 3, 98, "Subtitle"],
Cell[4319, 133, 1349, 35, 208, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5705, 173, 296, 6, 147, "Subtitle"],
Cell[6004, 181, 1557, 37, 192, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7598, 223, 230, 5, 147, "Subtitle"],
Cell[7831, 230, 1183, 33, 273, "Input"]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
